pion::logger Struct Reference

## Public Types

enum | log_priority_type { LOG_LEVEL_DEBUG, LOG_LEVEL_INFO, LOG_LEVEL_WARN, LOG_LEVEL_ERROR, LOG_LEVEL_FATAL }

## Public Member Functions

| logger (const std::string &name)
| logger (const logger &p)

## Static Public Member Functions

static void | shutdown ()

## Public Attributes

std::string | m_name

## Static Public Attributes

static log_priority_type | m_priority

## Detailed Description

Definition at line 238 of file logger.hpp.

The documentation for this struct was generated from the following file:

- include/pion/logger.hpp